# N-Body project - Checklist

### Task 1
- [ ] Compute characteristic quantities/scales
- [x] Compare analytical model and particle density distribution
- [ ] Compute forces through nbody simulation
- [x] vary softening length and compare results
- [x] compare with the analytical expectation from Newtons 2nd law
- [ ] compute the relaxation time

### Task 2 (particle mesh)
- [ ] Choose reasonable units
- [ ] Implement force computation on mesh
- [ ] Find optimal mesh size
- [ ] Compare with direct nbody simulation
- [ ] Time integration for direct method AND mesh method


### Task 2 (tree code)
- [ ] Implement force computation with multipole expansion
    - [ ] Find optimal grouping criterion
- [ ] Compare with direct nbody simulation
- [ ] Time integration for direct method AND tree method








### Questions
- Procedure for each time step of a mesh simulation? Potential on mesh -> forces on particles -> update particle positions -> new mesh potential? or skip the creation of particles in each time step?
- How to represent the time evolution of the system?
    - plot total energy vs time
    - plot particle positions?
- What is the parameter a of the Hernquist model?